
QGIS Application - Bug report #19761

Unable to close QGIS because of an (ghost?) active task

2018-09-03 07:37 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27586

Description

I'm trying to close QGIs hitting the X button but fail with an "Active Tasks" dialog that pops up stating that Identify features tool is being

busy (attached image). Any choice I do in this dialog does not help to close QGIS.

Also notice that clicking on the status bar I see the Identify features task in the list but at 100% and, anyway looks like I can't interact with

this widget.

I finally had to force quit.

Related issues:

Related to QGIS Application - Bug report # 20459: QGIS freezes on Identifying... Closed 2018-11-12

Associated revisions

Revision 5b04719b - 2019-04-01 08:39 AM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

Revision b28227fa - 2019-04-01 10:17 PM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

Revision 66504fe0 - 2019-04-02 12:43 AM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

(cherry picked from commit b28227fa7f946e0c0ccba1b588a8ac47fef0c85f)

Revision e300042e - 2019-04-02 06:18 AM - Nyall Dawson
Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

(cherry picked from commit b28227fa7f946e0c0ccba1b588a8ac47fef0c85f)

Revision e75b934e - 2019-04-02 11:12 AM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

(cherry picked from commit b28227fa7f946e0c0ccba1b588a8ac47fef0c85f)

History

#1 - 2018-10-01 06:46 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you reproduce this? I need some more info here.

#2 - 2018-10-02 12:53 PM - Harrissou Santanna

- Status changed from Feedback to Open

Yes, right now!

Can you tell me the kind of information you need because I'm not sure I did something particular and I'm pretty sure the identify actions are not the latest I

do?

#3 - 2018-10-02 03:39 PM - Nyall Dawson

I guess some steps to reproduce would help... I haven't been able to.

#4 - 2018-11-10 05:37 PM - Harrissou Santanna

- Related to Bug report #20441: Unable to stop executing GDAL algorithm added

#5 - 2018-11-12 09:47 AM - Harrissou Santanna

- Related to Bug report #20459: QGIS freezes on Identifying Features added

#6 - 2018-11-12 10:32 AM - Hans Omat

Nyall Dawson wrote:

I guess some steps to reproduce would help... I haven't been able to.
It usually happens when we have identified a feature and then then pan/zoom the map to another position.

We only have Postgres connections in place - maybe that's worth to mention.

#7 - 2019-01-01 02:30 PM - Alexander Bruy

- Related to deleted (Bug report #20441: Unable to stop executing GDAL algorithm)

#8 - 2019-04-01 10:17 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b28227fa7f946e0c0ccba1b588a8ac47fef0c85f.

Files

task_completed.png 10.3 KB 2018-09-03 Harrissou Santanna

cancel_Identify.png 9.3 KB 2018-09-03 Harrissou Santanna

2025-04-26 3/3


